### Hierarchy

- DataObserverProps
  - StatefulComponentProps

## Index

### Properties

- children
- data
- isEmpty
- isLoading
- loading

## Properties

### Optional children

children: MaybeRenderPropChildren<DataObserverChildrenProps>

- Defined in components/DataObserver/DataObserver.ts:21

### Optional data

data: any

- Defined in components/DataObserver/DataObserver.ts:19

### Optional isEmpty

isEmpty: undefined | function

- Defined in components/DataObserver/DataObserver.ts:15

### Optional isLoading

isLoading: undefined | function

- Defined in components/DataObserver/DataObserver.ts:14

### Optional loading

loading: undefined | false | true

- Defined in components/DataObserver/DataObserver.ts:18

Generated using TypeDoc